From deb2735707f827093a423adcdff04941eb9cc493 Mon Sep 17 00:00:00 2001
From: manisha <manisha_kanyal.scsebtech@galgotiasuniversity.edu.in>
Date: Aug 16 2021 09:51:17 +0000
Subject: [PATCH 7/11] removed warnings


---

diff --git a/src/index.js b/src/index.js
index cb9bf6c..b2fef2b 100644
--- a/src/index.js
+++ b/src/index.js
@@ -2,7 +2,6 @@ import React from "react"
 import ReactDOM from "react-dom"
 import "./index.css"
 import "typeface-open-sans"
-import "./i18n"
 import App from "./App"
 import * as serviceWorker from "./serviceWorker"
 import { createStore, applyMiddleware, compose } from "redux"
@@ -10,6 +9,7 @@ import thunkMiddleware from "redux-thunk"
 import { createLogger } from "redux-logger"
 import { Provider } from "react-redux"
 import reducer from "./reducers"
+import i18n from "./i18n"
 
 const loggerMiddleware = createLogger()
 
@@ -20,14 +20,18 @@ const store = createStore(
   composeEnhancers(applyMiddleware(thunkMiddleware, loggerMiddleware))
 )
 
-ReactDOM.render(
-  <React.StrictMode>
-    <Provider store={store}>
-      <App />
-    </Provider>
-  </React.StrictMode>,
-  document.getElementById("root")
-)
+i18n.on("initialized",() => {
+  ReactDOM.render(
+    <React.StrictMode>
+      <Provider store={store}>
+        <App />
+      </Provider>
+    </React.StrictMode>,
+    document.getElementById("root")
+  )
+})
+
+
 
 // If you want your app to work offline and load faster, you can change
 // unregister() to register() below. Note this comes with some pitfalls.
diff --git a/src/landingpage/Events.js b/src/landingpage/Events.js
index f8a8ee0..bfab8d3 100644
--- a/src/landingpage/Events.js
+++ b/src/landingpage/Events.js
@@ -16,7 +16,7 @@ const Events = (props) => {
     }
     return (
       <Event
-        key={meeting.link}
+        key={date}
         date={date}
         month={month}
         time={time}
diff --git a/src/layout/Footer.js b/src/layout/Footer.js
index 69976ca..f089477 100644
--- a/src/layout/Footer.js
+++ b/src/layout/Footer.js
@@ -7,7 +7,7 @@ const Footer = () => {
   return (
     <div className="footer">
       <div className="container">
-        <a href="https://pagure.io/fedora-qa/landingpage">{t("source")}</a> {t(".on_Pagure")}{" "}
+        <a href="https://pagure.io/fedora-qa/landingpage">{t("source")}</a> {t("on_Pagure")}{" "}
         <span className="float-right">{t("version")} 0.1.0</span>
       </div>
     </div>
diff --git a/src/layout/Masthead.js b/src/layout/Masthead.js
index 52bcf2f..a5965f9 100644
--- a/src/layout/Masthead.js
+++ b/src/layout/Masthead.js
@@ -126,7 +126,7 @@ const Masthead = () => {
             <DropdownToggle caret>{lang ? lang : t("select_language")}</DropdownToggle>
             <DropdownMenu>
               {language.map((item) => (
-                <DropdownItem onClick={() => handleClick(item.lang)}>{item.name}</DropdownItem>
+                <DropdownItem  key={item} onClick={() => handleClick(item.lang)}>{item.name}</DropdownItem>
               ))}
             </DropdownMenu>
           </ButtonDropdown>
diff --git a/src/wizard/FedoraEasyKarma.js b/src/wizard/FedoraEasyKarma.js
index 783c494..b04bda9 100644
--- a/src/wizard/FedoraEasyKarma.js
+++ b/src/wizard/FedoraEasyKarma.js
@@ -17,7 +17,7 @@ export default (props) => {
       <div>
         <h1>{t("What_is_Karma")}</h1>
         {t("Before_a_new_version_of_a_package")}{" "}
-        <CollapsableBadge expand_text="Tell me more about the process!">
+        <CollapsableBadge expand_text={t("Tell_me_more_about")}>
           <Trans
             i18nKey="What_is_Karma_Text">
             The updates are kept in{" "}
diff --git a/src/wizard/FedoraManualTesting.js b/src/wizard/FedoraManualTesting.js
index 0a2ce35..18c1da7 100644
--- a/src/wizard/FedoraManualTesting.js
+++ b/src/wizard/FedoraManualTesting.js
@@ -321,7 +321,7 @@ export function FedoraManualTestingItem(props) {
                 <ModalBadge expand_text={t("dont_have_an")}>
                 <Trans i18nKey="Have_a_look_at_the_matrix">
                   Have a look at the matrix. The rows are the testcases, and the columns are the
-                  environments. Most of the time, these are <span dangerouslySetInnerHTML={{__html: ReactDOMServer.renderToString(environment_examples)}}></span>
+                  environments. Most of the time, these are <span dangerouslySetInnerHTML={environment_variables}></span>
                   for the {{ testtype }} testcases, but you can also encouter a generic{" "}
                   <code>Result</code> column, which usually means you can use any
                   media/architecture available.
diff --git a/src/wizard/components.js b/src/wizard/components.js
index 796886c..802a92a 100644
--- a/src/wizard/components.js
+++ b/src/wizard/components.js
@@ -59,7 +59,7 @@ const CollapsableBadge = (props) => {
         <ModalBody>{children}</ModalBody>
         <ModalFooter>
           <Button color="primary" onClick={toggleModal}>
-            Close <i class="fas fa-times-circle"></i>
+            Close <i className="fas fa-times-circle"></i>
           </Button>
         </ModalFooter>
       </Modal>

